<div class="loginform">
  <form nz-form [formGroup]="loginForm" (ngSubmit)="submit()">
    <nz-form-item>
      <nz-form-label [nzSpan]="6" nzFor="email" nzRequired>Email</nz-form-label>
      <nz-form-control [nzSpan]="6" [nzErrorTip]="emailErrorMsg">
        <nz-input-group nzPrefixIcon="user">
          <input
            nz-input
            formControlName="email"
            name="email"
            type="email"
            id="email"
            placeholder="Email"
            minlength="5"
            pattern="^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$"
          />
        </nz-input-group>
      </nz-form-control>
    </nz-form-item>

    <nz-form-item>
      <nz-form-label [nzSpan]="6" nzFor="password">Password</nz-form-label>
      <nz-form-control [nzSpan]="6" [nzErrorTip]="passwordErrorMsg">
        <nz-input-group nzPrefixIcon="lock">
          <input
            formControlName="password"
            nz-input
            type="password"
            placeholder="Password"
            id="password"
            minlength="5"
          />
        </nz-input-group>
      </nz-form-control>
    </nz-form-item>

    <nz-form-item>
      <nz-form-control [nzOffset]="6">
        <button nz-button nzType="primary" [disabled]="!loginForm.valid">
          Log in
        </button>
      </nz-form-control>
    </nz-form-item>
  </form>
  <span
    nz-typography
    id="SignInFailedMSG"
    nzType="danger"
    *ngIf="unauthorized"
    >{{ unauthorized }}</span
  >
  <!-- <p>Form Status : {{ loginForm.valid }}</p> -->
</div>
